package com.hfkj.sysenum;

/**
 * 菜单类型
 * @className: SecMenuTypeEnum
 * @author: HuRui
 * @date: 2024/4/2
 **/
public enum SecMenuTypeEnum {

    /**
     * 菜单
     */
    type1(1, "菜单"),

    /**
     * 按钮
     */
    type2(2, "按钮"),
    ;

    private int code;

    private String name;


    SecMenuTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
